/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2016_HOUSEHOLD_DATA_HFILE_Longitudinal_EN_DELIMITED.dct, clear
/*
label define  hb020_cl1 AT   "sterreich" BE   "Belgique/Belge" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech republic" DE   "Deutschland" DK   "Denmark" EE   "Estonia" EL   "Ellda" ES   "Espaa" FI   "Suomi" FR   "France" HR   "Croatia" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" ME   "Montenegro" MK   "The Former Yugoslav Republic of Macedonia (FYROM)" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" RS   "Serbia" SE   "Sverige" SI   "Slovenia" SK   "Slovak republic" TR   "Turkey" UK   "United Kingdom"  
label define  hb050_cl3 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  hb050_f_cl4 1   "filled" -1   "missing"  
label define  hb060_f_cl6 1   "filled"  
label define  hb070_f_cl8 1   "filled" -1   "missing"  
label define  hb080_f_cl10 1   "filled" -1   "missing"  
label define  hb090_f_cl12 1   "filled" -1   "missing" -2   "only  na (no second responsible)"  
label define  hb100_f_cl14 1   "filled" -1   "missing"  
label define  hh010_cl15 1   "detached house" 2   "semi-detached or terraced house" 3   "apartment or flat in a building with less than 10 dwellings" 4   "apartment or flat in a building with 10 or more dwellings"  
label define  hh010_f_cl16 1   "filled" -1   "missing"  
label define  hh021_cl17 1   "Outright owner" 2   "Owner paying mortgage" 3   "Tenant or subtenant paying rent at prevailing or market rate" 4   "Accommodation is rented at a reduced rate (lower price that the market price" 5   "Accommodation is provided free"  
label define  hh021_f_cl18 1   "filled" -1   "missing" -5   "missing value of HH021 because HH020 is still used"  
label define  hh030_cl19 1   "1 room" 2   "2 rooms" 3   "3 rooms" 4   "4 rooms" 5   "5 rooms" 6   "6 or more rooms"  
label define  hh030_f_cl20 1   "filled" -1   "missing"  
label define  hh031_f_cl22 1   "filled" -1   "missing" -2   "n.a. (MS using objective national methods to calculate imputed rent)"  
label define  hh040_cl23 1   "yes" 2   "no"  
label define  hh040_f_cl24 1   "filled" -1   "missing"  
label define  hh050_cl25 1   "yes" 2   "no"  
label define  hh050_f_cl26 1   "filled" -1   "missing"  
label define  hh060_f_cl28 1   "filled" -1   "missing" -2   "na (HH020 not = 2 or 3)"  
label define  hh061_f_cl30 1   "filled" -1   "missing" -2   "na (HH020 not = 1 or 3 or 4) or (MS do not use subjective method to calculate imputed rent)"  
label define  hh081_cl31 1   "yes, for sole use of the household" 2   "yes, shared" 3   "no"  
label define  hh081_f_cl32 1   "filled" -1   "missing"  
label define  hh091_cl33 1   "yes, for sole use of the household" 2   "yes, shared" 3   "no"  
label define  hh091_f_cl34 1   "filled" -1   "missing"  
label define  hs011_cl35 1   "yes, once" 2   "yes, twice or more" 3   "no"  
label define  hs011_f_cl36 1   "filled" -1   "missing" -2   "not applicable (outright owner or rent free during the last twelve months)" -5   "missing value of HS011 because HS010 is still used"  
label define  hs021_cl37 1   "yes, once" 2   "yes, twice or more" 3   "no"  
label define  hs021_f_cl38 1   "filled" -1   "missing" -2   "na (no utility bills)" -5   "missing value of HS021 because HS020 is still used"  
label define  hs031_cl39 1   "yes, once" 2   "yes, twice or more" 3   "no"  
label define  hs031_f_cl40 1   "filled" -1   "missing" -2   "na (no hire purchase instalments and no other loan payments)" -5   "missing value of HS031 because HS030 is still used"  
label define  hs040_cl41 1   "yes" 2   "no"  
label define  hs040_f_cl42 1   "filled" -1   "missing"  
label define  hs050_cl43 1   "yes" 2   "no"  
label define  hs050_f_cl44 1   "filled" -1   "missing"  
label define  hs060_cl45 1   "yes" 2   "no"  
label define  hs060_f_cl46 1   "filled" -1   "missing"  
label define  hs070_cl47 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs070_f_cl48 1   "filled" -1   "missing"  
label define  hs080_cl49 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs080_f_cl50 1   "filled" -1   "missing"  
label define  hs090_cl51 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs090_f_cl52 1   "filled" -1   "missing"  
label define  hs100_cl53 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs100_f_cl54 1   "filled" -1   "missing"  
label define  hs110_cl55 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs110_f_cl56 1   "filled" -1   "missing"  
label define  hs120_cl57 1   "with great difficulty" 2   "with difficulty" 3   "with some difficulty" 4   "fairly easily" 5   "easily" 6   "very easily"  
label define  hs120_f_cl58 1   "filled" -1   "missing"  
label define  hs130_f_cl60 1   "filled" -1   "missing"  
label define  hs140_cl61 1   "A heavy burden" 2   "Somewhat a burden" 3   "not burden at all"  
label define  hs140_f_cl62 1   "filled" -1   "missing"  
label define  hs150_cl63 1   "Repayment is a heavy burden" 2   "Repayment is somewhat a burden" 3   "Repayment is not a burden at all"  
label define  hs150_f_cl64 1   "filled" -1   "missing" -2   "not applicable ( no repayment of debts)"  
label define  hx100_cl196 1   "household pertains to the lower (1st) quintile" 2   "household pertains to the 2nd quintile" 3   "household pertains to the 3rd quintile" 4   "household pertains to the 4th quintile" 5   "household pertains to the upper (5th) quintile"  
label values  hb020 hb020_cl1
label values  hb050 hb050_cl3
label values  hb050_f hb050_f_cl4
label values  hb060_f hb060_f_cl6
label values  hb070_f hb070_f_cl8
label values  hb080_f hb080_f_cl10
label values  hb090_f hb090_f_cl12
label values  hb100_f hb100_f_cl14
label values  hh010 hh010_cl15
label values  hh010_f hh010_f_cl16
label values  hh021 hh021_cl17
label values  hh021_f hh021_f_cl18
label values  hh030 hh030_cl19
label values  hh030_f hh030_f_cl20
label values  hh031_f hh031_f_cl22
label values  hh040 hh040_cl23
label values  hh040_f hh040_f_cl24
label values  hh050 hh050_cl25
label values  hh050_f hh050_f_cl26
label values  hh060_f hh060_f_cl28
label values  hh061_f hh061_f_cl30
label values  hh081 hh081_cl31
label values  hh081_f hh081_f_cl32
label values  hh091 hh091_cl33
label values  hh091_f hh091_f_cl34
label values  hs011 hs011_cl35
label values  hs011_f hs011_f_cl36
label values  hs021 hs021_cl37
label values  hs021_f hs021_f_cl38
label values  hs031 hs031_cl39
label values  hs031_f hs031_f_cl40
label values  hs040 hs040_cl41
label values  hs040_f hs040_f_cl42
label values  hs050 hs050_cl43
label values  hs050_f hs050_f_cl44
label values  hs060 hs060_cl45
label values  hs060_f hs060_f_cl46
label values  hs070 hs070_cl47
label values  hs070_f hs070_f_cl48
label values  hs080 hs080_cl49
label values  hs080_f hs080_f_cl50
label values  hs090 hs090_cl51
label values  hs090_f hs090_f_cl52
label values  hs100 hs100_cl53
label values  hs100_f hs100_f_cl54
label values  hs110 hs110_cl55
label values  hs110_f hs110_f_cl56
label values  hs120 hs120_cl57
label values  hs120_f hs120_f_cl58
label values  hs130_f hs130_f_cl60
label values  hs140 hs140_cl61
label values  hs140_f hs140_f_cl62
label values  hs150 hs150_cl63
label values  hs150_f hs150_f_cl64
label values  hx100 hx100_cl196
*/
save  EUSILC_A2016_HOUSEHOLD_DAT.dta, replace
