#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_EUSILC_Microdata_2016_HOUSEHOLD_REGISTER_DFILE_Longitudinal_FILE_STRUCTURE_EXAMPLE.txt", sep="")
DF_EUSILC_A2016_HOUSEHOLD_REGIS<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_EUSILC_A2016_HOUSEHOLD_REGIS, "label") <- c(
"YEAR OF THE SURVEY",
"COUNTRY",
"HOUSEHOLD ID",
"REGION",
"FLAG  OF DB040",
"PSU-1 (FIRST STAGE)",
"FLAG OF DB060",
"PSU-2 (SECOND STAGE)",
"FLAG OF DB062",
"ORDER OF SELECTION OF PSU",
"FLAG OF DB070",
"ROTATIONAL GROUP",
"FLAG OF DB075",
"HOUSEHOLD LONGITUDINAL WEIGHT",
"FLAG OF DB095",
"DEGREE OF URBANISATION",
"FLAG OF DB100",
"HOUSEHOLD STATUS",
"FLAG OF DB110")

DB020_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB020, 
levels=c("AT", 
"BE", 
"BG", 
"CH", 
"CY", 
"CZ", 
"DE", 
"DK", 
"EE", 
"EL", 
"ES", 
"FI", 
"FR", 
"HR", 
"HU", 
"IE", 
"IS", 
"IT", 
"LT", 
"LU", 
"LV", 
"ME", 
"MK", 
"MT", 
"NL", 
"NO", 
"PL", 
"PT", 
"RO", 
"RS", 
"SE", 
"SI", 
"SK", 
"TR", 
"UK"), 
labels=c("sterreich", 
"Belgique/Belge", 
"Bulgaria", 
"Switzerland", 
"Cyprus", 
"Czech republic", 
"Deutschland", 
"Denmark", 
"Estonia", 
"Ellda", 
"Espaa", 
"Suomi", 
"France", 
"Croatia", 
"Hungary", 
"Ireland", 
"Iceland", 
"Italia", 
"Lithuania", 
"Luxembourg", 
"Latvia", 
"Montenegro", 
"The Former Yugoslav Republic of Macedonia (FYROM)", 
"Malta", 
"Nederland", 
"Norway", 
"Poland", 
"Portugal", 
"Romania", 
"Serbia", 
"Sverige", 
"Slovenia", 
"Slovak republic", 
"Turkey", 
"United Kingdom")) 


DB040_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB040, 
levels=c("ITC", 
"ITF", 
"ITG", 
"ITH", 
"ITI"), 
labels=c("Northwest Italy", 
"Northeast Italy", 
"Central Italy", 
"South Italy", 
"Insular Italy")) 


DB040_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB040_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"Missing")) 


DB060_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB060_F, 
levels=c(1, 
2, 
-2), 
labels=c("Rotation is implemented at PSU level (the PSU rotates in and out of the sample)", 
"Rotation is implemented at SSU or household level (The PSU remains in the sample for the entire duration of EU-SILC)", 
"Not applicable (no first or second sampling stage)")) 


DB062_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB062_F, 
levels=c(1, 
2, 
-2), 
labels=c("Rotation is implemented at PSU level (the PSU rotates in and out of the sample)", 
"Rotation is implemented at SSU or household level (The PSU remains in the sample for the entire duration of EU-SILC)", 
"Not applicable (no first or second sampling stage)")) 


DB070_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB070_F, 
levels=c(1, 
-2), 
labels=c("filled", 
"not applicable")) 


DB075_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB075_F, 
levels=c(1, 
-2), 
labels=c("filled", 
"na (no rotational design is used)")) 


DB095_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB095_F, 
levels=c(1, 
-2), 
labels=c("filled", 
"Not applicable (DB110 equal 9) and DB010 = last year")) 


DB100_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB100, 
levels=c(1, 
2, 
3), 
labels=c("densely populated area", 
"intermediate area", 
"thinly populated area")) 


DB100_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB100_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing (from wave 2 onwards)")) 


DB110_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB110, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("At the same address as last interview", 
"Entire household moved to a private household within the country Household no longer in-scope", 
"Entire household moved to a collective household or institution within the country", 
"Household moved outside the country", 
"Entire household died", 
"Household does not contain sample person Address non-contacted", 
"Address non-contacted unable to access lost-no information on record on what happened to the household New household for this wave", 
"Split-off household", 
"New address added to the sample this wave or first wave", 
"Fusion", 
"Lost household (no information on record on what happened to the household)")) 


DB110_F_Fact <- factor(DF_EUSILC_A2016_HOUSEHOLD_REGIS$DB110_F, 
levels=c(1), 
labels=c("filled")) 

save.image (file="DF_EUSILC_A2016_HOUSEHOLD_REGIS.RData")
