/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2016_PERSONAL_DATA_PFILE_Longitudinal_EN_DELIMITED.dct, clear
/*
label define  pb020_cl1 AT   "sterreich" BE   "Belgique/Belge" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech republic" DE   "Deutschland" DK   "Denmark" EE   "Estonia" EL   "Ellda" ES   "Espaa" FI   "Suomi" FR   "France" HR   "Croatia" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" ME   "Montenegro" MK   "The Former Yugoslav Republic of Macedonia (FYROM)" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" RS   "Serbia" SE   "Sverige" SI   "Slovenia" SK   "Slovak republic" TR   "Turkey" UK   "United Kingdom"  
label define  pb050_f_cl4 1   "filled" -7   "Not applicable: PB010 ne last year"  
label define  pb080_f_cl6 1   "filled" -3   "not selected respondent"  
label define  pb100_cl7 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  pb100_f_cl8 1   "filled" -1   "missing"  
label define  pb110_f_cl10 1   "filled" -1   "missing"  
label define  pb120_f_cl12 1   "filled" -1   "missing" -2   "na (information only extracted from registers)"  
label define  pb130_cl13 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  pb130_f_cl14 1   "filled" -1   "missing"  
label define  pb140_f_cl16 1   "filled" -1   "missing"  
label define  pb150_cl17 1   "Male" 2   "Female"  
label define  pb150_f_cl18 1   "filled" -1   "missing"  
label define  pb160_f_cl20 1   "filled" -1   "missing" -2   "na (father is not a household member)"  
label define  pb170_f_cl22 1   "filled" -1   "missing" -2   "na (mother is not a household member)"  
label define  pb180_f_cl24 1   "filled" -1   "missing" -2   "not applicable (person has no spouse/partner or spouse/partner is not a household member)"  
label define  pb190_cl25 1   "Never married" 2   "Married" 3   "Separated" 4   "Widowed" 5   "Divorced"  
label define  pb190_f_cl26 1   "filled" -1   "missing"  
label define  pb200_cl27 1   "yes on a legal basis" 2   "yes without a legal basis" 3   "no"  
label define  pb200_f_cl28 1   "filled" -1   "missing"  
label define  pe040_cl29 1   "primary education" 2   "lower secondary education" 3   "(upper) secondary education" 4   "post-secondary non tertiary education" 5   "tertiary education" 000   "Less than primary education" 100   "Primary education" 200   "Lower secondary education" 300   "Upper secondary education (not further specified)" 400   "Post-secondary non-tertiary education (not further specified)" 500   "Tertiary education"  
label define  pe040_f_cl30 1   "filled" -1   "missing" -2   "non applicable (the person has never been in education) can only be used before 2014(PB010<2014)"  
label define  ph010_cl31 1   "very good" 2   "good" 3   "fair" 4   "bad" 5   "very bad"  
label define  ph010_f_cl32 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  ph020_cl33 1   "yes" 2   "no"  
label define  ph020_f_cl34 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  ph030_cl35 1   "yes, strongly limited" 2   "yes, limited" 3   "no, not limited"  
label define  ph030_f_cl36 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl020_cl37 1   "yes" 2   "no"  
label define  pl020_f_cl38 1   "filled" -1   "missing" -2   "not applicable  (PL031 = 1, 2, 3 or 4)"  
label define  pl025_cl39 1   "yes" 2   "no"  
label define  pl025_f_cl40 1   "filled" -1   "missing" -2   "not applicable  (PL031 = 1, 2, 3 or 4)"  
label define  pl031_cl41 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl031_f_cl42 1   "filled" -1   "missing" -5   "missing value of PL031 because PL030 is still used"  
label define  pl040_cl43 1   "self-employed with employees" 2   "self-employed without employees" 3   "employee" 4   "family worker"  
label define  pl040_f_cl44 1   "filled" -1   "missing" -2   "not applicable ( PL031 not = 1, 2, 3 or 4 and PL015 not = 1)"  
label define  pl051_cl45 1   "Commissioned armed forces officers" 2   "Non-commissioned armed forces officers" 3   "Armed forces occupations, other ranks" 11   "Chief executives, senior officials and legislators" 12   "Administrative and commercial managers" 13   "Production and specialised services managers" 14   "Hospitality, retail and other services managers" 21   "Science and engineering professionals" 22   "Health professionals" 23   "Teaching professionals" 24   "Business and administration professionals" 25   "Information and communications technology professionals" 26   "Legal, social and cultural professionals" 31   "Science and engineering associate professionals" 32   "Health associate professionals" 33   "Business and administration associate professionals" 34   "Legal, social, cultural and related associate professionals" 35   "Information and communications technicians" 41   "General and keyboard clerks" 42   "Customer services clerks" 43   "Numerical and material recording clerks" 44   "Other clerical support workers" 51   "Personal service workers" 52   "Sales workers" 53   "Personal care workers" 54   "Protective services workers" 61   "Market-oriented skilled agricultural workers" 62   "Market-oriented skilled forestry, fishery and hunting workers" 63   "Subsistence farmers, fishers, hunters and gatherers" 71   "Building and related trades workers, excluding electricians" 72   "Metal, machinery and related trades workers" 73   "Handicraft and printing workers" 74   "Electrical and electronic trades workers" 75   "Food processing, wood working, garment and other craft and related trades workers" 81   "Stationary plant and machine operators" 82   "Assemblers" 83   "Drivers and mobile plant operators" 91   "Cleaners and helpers" 92   "Agricultural, forestry and fishery labourers" 93   "Labourers in mining, construction, manufacturing and transport" 94   "Food preparation assistants" 95   "Street and related sales and service workers" 96   "Refuse workers and other elementary workers"  
label define  pl051_f_cl46 1   "filled" -1   "missing" -2   "not applicable (PL031 not = 1, 2, 3 or 4 and PL015 not = 1)" -5   "missing value of PL051 because PL050 is still used"  
label define  pl060_f_cl48 1   "filled" -1   "missing" -2   "not applicable (PL031 not = 1, 2, 3 or 4 and PL035 not = 1)" -6   "hours varying (even an average over 4 weeks is not possible"  
label define  pl140_cl49 1   "permanent job/work contract of unlimited duration" 2   "temporary job/work contract of limited duration"  
label define  pl140_f_cl50 1   "filled" -1   "missing" -2   "not applicable (PL040 not = 3)" -3   "not selected respondent" -4   "not applicable because the person is employee (PL040=3) but has not any contract"  
label define  pl160_cl51 1   "yes" 2   "no"  
label define  pl160_f_cl52 1   "filled" -1   "missing" -2   "not applicable (PL031 not = 1, 2, 3 or 4)" -3   "not selected respondent"  
label define  pl170_cl53 1   "To take up or seek better job" 2   "End of temporary contract" 3   "Obliged to stop by employer (business closure, redundancy, early retirement, dismissal etc.)" 4   "Sale or closure of own/family business" 5   "Child care and care for other dependent" 6   "Partners job required us to move to another area or marriage" 7   "Other reasons"  
label define  pl170_f_cl54 1   "filled" -1   "missing" -2   "na (PL160 not = 1)" -3   "not selected respondent"  
label define  pl180_cl55 1   "employed - unemployed" 2   "employed - retired" 3   "employed - other inactive" 4   "unemployed - employed" 5   "unemployed - retired" 6   "unemployed - other inactive" 7   "retired - employed" 8   "retired - unemployed" 9   "retired - other inactive" 10   "other inactive - employed" 11   "other inactive - unemployed" 12   "other inactive - retired"  
label define  pl180_f_cl56 1   "filled" -1   "missing" -2   "not applicable (no change since last year)" -3   "not selected respondent"  
label define  pl190_f_cl58 1   "filled" -1   "missing" -2   "not applicable (person never worked i.e. (PL031 not = 1, 2, 3 or 4 AND PL015 not= 1))" -3   "not selected respondent"  
label define  pl200_f_cl60 1   "filled" -1   "missing" -2   "not applicable (person never worked i.e. (PL031 not = 1, 2, 3 or 4 AND PL015 not= 1))" -3   "not selected respondent"  
label define  pl211a_cl61 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211a_f_cl62 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211b_cl63 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211b_f_cl64 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211c_cl65 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211c_f_cl66 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211d_cl67 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211d_f_cl68 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211e_cl69 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211e_f_cl70 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211f_cl71 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211f_f_cl72 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211g_cl73 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211g_f_cl74 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211h_cl75 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211h_f_cl76 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211i_cl77 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211i_f_cl78 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211j_cl79 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211j_f_cl80 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211k_cl81 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211k_f_cl82 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  pl211l_cl83 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military community or service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211l_f_cl84 1   "filled" -1   "missing" -3   "not selected respondent"  
label define  px040_cl214 1   "current household member aged 16 and over Only selected household member aged 16 and over is interviewed" 2   "selected respondent" 3   "not selected respondent Households members aged less than 16 at the time of interview" 4   "not eligible person"  
label values  pb020 pb020_cl1
label values  pb050_f pb050_f_cl4
label values  pb080_f pb080_f_cl6
label values  pb100 pb100_cl7
label values  pb100_f pb100_f_cl8
label values  pb110_f pb110_f_cl10
label values  pb120_f pb120_f_cl12
label values  pb130 pb130_cl13
label values  pb130_f pb130_f_cl14
label values  pb140_f pb140_f_cl16
label values  pb150 pb150_cl17
label values  pb150_f pb150_f_cl18
label values  pb160_f pb160_f_cl20
label values  pb170_f pb170_f_cl22
label values  pb180_f pb180_f_cl24
label values  pb190 pb190_cl25
label values  pb190_f pb190_f_cl26
label values  pb200 pb200_cl27
label values  pb200_f pb200_f_cl28
label values  pe040 pe040_cl29
label values  pe040_f pe040_f_cl30
label values  ph010 ph010_cl31
label values  ph010_f ph010_f_cl32
label values  ph020 ph020_cl33
label values  ph020_f ph020_f_cl34
label values  ph030 ph030_cl35
label values  ph030_f ph030_f_cl36
label values  pl020 pl020_cl37
label values  pl020_f pl020_f_cl38
label values  pl025 pl025_cl39
label values  pl025_f pl025_f_cl40
label values  pl031 pl031_cl41
label values  pl031_f pl031_f_cl42
label values  pl040 pl040_cl43
label values  pl040_f pl040_f_cl44
label values  pl051 pl051_cl45
label values  pl051_f pl051_f_cl46
label values  pl060_f pl060_f_cl48
label values  pl140 pl140_cl49
label values  pl140_f pl140_f_cl50
label values  pl160 pl160_cl51
label values  pl160_f pl160_f_cl52
label values  pl170 pl170_cl53
label values  pl170_f pl170_f_cl54
label values  pl180 pl180_cl55
label values  pl180_f pl180_f_cl56
label values  pl190_f pl190_f_cl58
label values  pl200_f pl200_f_cl60
label values  pl211a pl211a_cl61
label values  pl211a_f pl211a_f_cl62
label values  pl211b pl211b_cl63
label values  pl211b_f pl211b_f_cl64
label values  pl211c pl211c_cl65
label values  pl211c_f pl211c_f_cl66
label values  pl211d pl211d_cl67
label values  pl211d_f pl211d_f_cl68
label values  pl211e pl211e_cl69
label values  pl211e_f pl211e_f_cl70
label values  pl211f pl211f_cl71
label values  pl211f_f pl211f_f_cl72
label values  pl211g pl211g_cl73
label values  pl211g_f pl211g_f_cl74
label values  pl211h pl211h_cl75
label values  pl211h_f pl211h_f_cl76
label values  pl211i pl211i_cl77
label values  pl211i_f pl211i_f_cl78
label values  pl211j pl211j_cl79
label values  pl211j_f pl211j_f_cl80
label values  pl211k pl211k_cl81
label values  pl211k_f pl211k_f_cl82
label values  pl211l pl211l_cl83
label values  pl211l_f pl211l_f_cl84
label values  px040 px040_cl214
*/
save  EUSILC_A2016_PERSONAL_DATA.dta, replace
