/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di  sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_EUSILC_Microdata_2016_PERSONAL_DATA_PFILE_Longitudinal_FILE_STRUCTURE_EXAMPLE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.EUSILC_A2016_PERSONAL_DATA_PFIL;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
PB010 :5.   /*  YEAR OF THE SURVEY */
PB020 : $3.   /*  COUNTRY */
PB030 :12.   /*  PERSONAL ID */
PB050 :16.   /*  PERSONAL BASE WEIGHT */
PB050_F :2.   /*  FLAG OF PB050 */
PB080 :16.   /*  PERSONAL BASE WEIGHT FOR SELECTED RESPONDENT */
PB080_F :3.   /*  FLAG OF PB080 */
PB100 :3.   /*  MONTH OF THE PERSONAL INTERVIEW */
PB100_F :2.   /*  FLAG OF PB100 */
PB110 :5.   /*  YEAR OF THE PERSONAL INTERVIEW */
PB110_F :2.   /*  FLAG OF PB110 */
PB120 :3.   /*  MINUTES TO COMPLETE THE PERSONAL QUESTIONNAIRE */
PB120_F :2.   /*  FLAG OF PB120 */
PB130 :3.   /*  MONTH OF BIRTH */
PB130_F :2.   /*  FLAG OF PB130 */
PB140 :5.   /*  YEAR OF BIRTH */
PB140_F :2.   /*  FLAG OF PB140 */
PB150 :2.   /*  SEX */
PB150_F :2.   /*  FLAG OF PB150 */
PB160 :12.   /*  FATHER ID */
PB160_F :2.   /*  FLAG OF PB160 */
PB170 :12.   /*  FATHER ID */
PB170_F :2.   /*  FLAG OF PB170 */
PB180 :12.   /*  SPOUSE/PARTNER ID */
PB180_F :2.   /*  FLAG OF PB180 */
PB190 :2.   /*  MARITAL STATUS */
PB190_F :2.   /*  FLAG OF PB190 */
PB200 :2.   /*  CONSENSUAL UNION */
PB200_F :2.   /*  FLAG OF PB200 */
PE040 :4.   /*  HIGHEST ISCED LEVEL ATTAINED */
PE040_F :2.   /*  FLAG OF PE040 */
PH010 :2.   /*  GENERAL HEALTH */
PH010_F :2.   /*  FLAG OF PH010 */
PH020 :2.   /*  SUFFER FROM ANY A CHRONIC (LONG-STANDING) ILLNESS OR CONDITION */
PH020_F :2.   /*  FLAG OF PH020 */
PH030 :2.   /*  LIMITATION IN ACTIVITIES BECAUSE OF HEALTH PROBLEMS */
PH030_F :2.   /*  FLAG OF PH030 */
PL020 :2.   /*  ACTIVELY LOOKING FOR A JOB */
PL020_F :2.   /*  FLAG OF PL020 */
PL025 :2.   /*  AVAILABLE FOR WORK */
PL025_F :2.   /*  FLAG OF PL025 */
PL031 :3.   /*  SELF-DEFINED CURRENT ECONOMIC STATUS */
PL031_F :2.   /*  FLAG OF PL031 */
PL040 :2.   /*  STATUS IN EMPLOYMENT */
PL040_F :2.   /*  FLAG OF PL040 */
PL051 :3.   /*  OCCUPATION (ISCO-88 (COM)) */
PL051_F :2.   /*  FLAG OF PL051 */
PL060 :3.   /*  NUMBER OF HOURS USUALLY WORKED PER WEEK IN MAIN JOB */
PL060_F :2.   /*  FLAG OF PL060 */
PL140 :2.   /*  TYPE OF CONTRACT */
PL140_F :2.   /*  FLAG OF PL140 */
PL160 :2.   /*  CHANGE OF JOB SINCE LAST YEAR */
PL160_F :2.   /*  FLAG OF PL160 */
PL170 :2.   /*  REASON FOR CHANGE */
PL170_F :2.   /*  FLAG OF PL170 */
PL180 :3.   /*  MOST RECENT CHANGE IN THE INDIVIDUALS ACTIVITY STATUS */
PL180_F :2.   /*  FLAG OF PL180 */
PL190 :3.   /*  WHEN BEGAN FIRST REGULAR JOB */
PL190_F :2.   /*  FLAG OF PL190 */
PL200 :3.   /*  NUMBER OF YEARS SPENT IN PAID WORK */
PL200_F :2.   /*  FLAG OF PL200 */
PL211A :3.   /*  MAIN ACTIVITY ON JANUARY */
PL211A_F :2.   /*  FLAG OF PL211A */
PL211B :3.   /*  MAIN ACTIVITY ON FEBRUARY */
PL211B_F :2.   /*  FLAG OF PL211B */
PL211C :3.   /*  MAIN ACTIVITY ON MARCH */
PL211C_F :2.   /*  FLAG OF PL211C */
PL211D :3.   /*  MAIN ACTIVITY ON APRIL */
PL211D_F :2.   /*  FLAG OF PL211D */
PL211E :3.   /*  MAIN ACTIVITY ON MAY */
PL211E_F :2.   /*  FLAG OF PL211E */
PL211F :3.   /*  MAIN ACTIVITY ON JUNE */
PL211F_F :2.   /*  FLAG OF PL211F */
PL211G :3.   /*  MAIN ACTIVITY ON JULY */
PL211G_F :2.   /*  FLAG OF PL211G */
PL211H :3.   /*  MAIN ACTIVITY ON AUGUST */
PL211H_F :2.   /*  FLAG OF PL211H */
PL211I :3.   /*  MAIN ACTIVITY ON SEPTEMBER */
PL211I_F :2.   /*  FLAG OF PL211I */
PL211J :3.   /*  MAIN ACTIVITY ON OCTOBER */
PL211J_F :2.   /*  FLAG OF PL211J */
PL211K :3.   /*  MAIN ACTIVITY ON NOVEMBER */
PL211K_F :2.   /*  FLAG OF PL211K */
PL211L :3.   /*  MAIN ACTIVITY ON DECEMBER */
PL211L_F :2.   /*  FLAG OF PL211L */
PY010N :7.   /*  EMPLOYEE CASH OR NEAR CASH INCOME */
PY010N_F :2.   /*  FLAG OF PY010N */
PY010N_I :16.   /*  IMPUTATION FACTOR OF PY010N */
PY020N :7.   /*  NON-CASH EMPLOYEE INCOME */
PY020N_F :2.   /*  FLAG OF PY020N */
PY020N_I :16.   /*  IMPUTATION FACTOR OF PY020N */
PY021N :7.   /*  COMPANY CAR */
PY021N_F :2.   /*  FLAG OF PY021N */
PY021N_I :16.   /*  IMPUTATION FACTOR OF PY021N */
PY035N :7.   /*  CONTRIBUTIONS TO INDIVIDUAL PRIVATE PENSION PLANS */
PY035N_F :2.   /*  FLAG OF PY035N */
PY035N_I :16.   /*  IMPUTATION FACTOR OF PY035N */
PY050N :7.   /*  CASH BENEFITS OR LOSSES FROM SELF-EMPLOYMENT */
PY050N_F :2.   /*  FLAG OF PY050N */
PY050N_I :16.   /*  IMPUTATION FACTOR OF PY050N */
PY080N :7.   /*  PENSION FROM INDIVIDUAL PRIVATE PLANS */
PY080N_F :2.   /*  FLAG OF PY080N */
PY080N_I :16.   /*  IMPUTATION FACTOR OF PY080N */
PY090N :7.   /*  UNEMPLOYMENT BENEFITS */
PY090N_F :2.   /*  FLAG OF PY090N */
PY090N_I :16.   /*  IMPUTATION FACTOR OF PY090N */
PY100N :7.   /*  OLD-AGE BENEFITS */
PY100N_F :2.   /*  FLAG OF PY100N */
PY100N_I :16.   /*  IMPUTATION FACTOR OF PY100N */
PY110N :7.   /*  SURVIVOR BENEFITS */
PY110N_F :2.   /*  FLAG OF PY110N */
PY110N_I :16.   /*  IMPUTATION FACTOR OF PY110N */
PY120N :7.   /*  SICKNESS BENEFITS */
PY120N_F :2.   /*  FLAG OF PY120N */
PY120N_I :16.   /*  IMPUTATION FACTOR OF PY120N */
PY130N :7.   /*  DISABILITY BENEFITS */
PY130N_F :2.   /*  FLAG OF PY130N */
PY130N_I :16.   /*  IMPUTATION FACTOR OF PY130N */
PY140N :7.   /*  EDUCATION-RELATED ALLOWANCES */
PY140N_F :2.   /*  FLAG OF PY140N */
PY140N_I :16.   /*  IMPUTATION FACTOR OF PY140N */
PY010G :7.   /*  EMPLOYEE CASH OR NEAR CASH INCOME */
PY010G_F :2.   /*  FLAG OF PY010G */
PY010G_I :16.   /*  IMPUTATION FACTOR OF PY010G */
PY020G :7.   /*  NON-CASH EMPLOYEE INCOME */
PY020G_F :2.   /*  FLAG OF PY020G */
PY020G_I :16.   /*  IMPUTATION FACTOR OF PY020G */
PY021G :7.   /*  COMPANY CAR */
PY021G_F :2.   /*  FLAG OF PY021G */
PY021G_I :16.   /*  IMPUTATION FACTOR OF PY021G */
PY030G :7.   /*  EMPLOYER'S SOCIAL INSURANCE CONTRIBUTION */
PY030G_F :2.   /*  FLAG OF PY030G */
PY030G_I :16.   /*  IMPUTATION FACTOR OF PY030G */
PY031G :7.   /*  OPTIONAL EMPLOYER'S SOCIAL INSURANCE CONTRIBUTIONS */
PY031G_F :2.   /*  FLAG OF PY031G */
PY031G_I :16.   /*  IMPUTATION FACTOR OF PY031G */
PY035G :7.   /*  CONTRIBUTIONS TO INDIVIDUAL PRIVATE PENSION PLANS */
PY035G_F :2.   /*  FLAG OF PY035G */
PY035G_I :16.   /*  IMPUTATION FACTOR OF PY035G */
PY050G :7.   /*  CASH BENEFITS OR LOSSES FROM SELF-EMPLOYMENT */
PY050G_F :2.   /*  FLAG OF PY050G */
PY050G_I :16.   /*  IMPUTATION FACTOR OF PY050G */
PY080G :7.   /*  PENSION FROM INDIVIDUAL PRIVATE PLANS */
PY080G_F :2.   /*  FLAG OF PY080G */
PY080G_I :16.   /*  IMPUTATION FACTOR OF PY080G */
PY090G :7.   /*  UNEMPLOYMENT BENEFITS */
PY090G_F :2.   /*  FLAG OF PY090G */
PY090G_I :16.   /*  IMPUTATION FACTOR OF PY090G */
PY091G :7.   /*  UNEMPLOYMENT BENEFITS (CONTRIBUTORY AND MEANS-TESTED) */
PY091G_F :2.   /*  FLAG OF PY091G */
PY092G :7.   /*  UNEMPLOYMENT BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED) */
PY092G_F :2.   /*  FLAG OF PY092G */
PY093G :7.   /*  UNEMPLOYMENT BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED) */
PY093G_F :2.   /*  FLAG OF PY093G */
PY094G :7.   /*  UNEMPLOYMENT BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED) */
PY094G_F :2.   /*  FLAG OF PY094G */
PY100G :7.   /*  OLD-AGE BENEFITS */
PY100G_F :2.   /*  FLAG OF PY100G */
PY100G_I :16.   /*  IMPUTATION FACTOR OF PY100G */
PY101G :7.   /*  OLD-AGE BENEFITS (CONTRIBUTORY AND MEANS-TESTED) */
PY101G_F :2.   /*  FLAG OF PY101G */
PY102G :7.   /*  OLD-AGE BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED) */
PY102G_F :2.   /*  FLAG OF PY102G */
PY103G :7.   /*  OLD-AGE BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED) */
PY103G_F :2.   /*  FLAG OF PY103G */
PY104G :7.   /*  OLD-AGE BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED) */
PY104G_F :2.   /*  FLAG OF PY104G */
PY110G :7.   /*  SURVIVOR BENEFITS */
PY110G_F :2.   /*  FLAG OF PY110G */
PY110G_I :16.   /*  IMPUTATION FACTOR OF PY110G */
PY111G :7.   /*  SURVIVOR BENEFITS (CONTRIBUTORY AND MEANS-TESTED) */
PY111G_F :2.   /*  FLAG OF PY111G */
PY112G :7.   /*  SURVIVOR BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED) */
PY112G_F :2.   /*  FLAG OF PY112G */
PY113G :7.   /*  SURVIVOR BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED) */
PY113G_F :2.   /*  FLAG OF PY113G */
PY114G :7.   /*  SURVIVOR BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED) */
PY114G_F :2.   /*  FLAG OF PY114G */
PY120G :7.   /*  SICKNESS BENEFITS */
PY120G_F :2.   /*  FLAG OF PY120G */
PY120G_I :16.   /*  IMPUTATION FACTOR OF PY120G */
PY121G :7.   /*  SICKNESS BENEFITS (CONTRIBUTORY AND MEANS-TESTED) */
PY121G_F :2.   /*  FLAG OF PY121G */
PY122G :7.   /*  SICKNESS BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED) */
PY122G_F :2.   /*  FLAG OF PY122G */
PY123G :7.   /*  SICKNESS BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED) */
PY123G_F :2.   /*  FLAG OF PY123G */
PY124G :7.   /*  SICKNESS BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED) */
PY124G_F :2.   /*  FLAG OF PY124G */
PY130G :7.   /*  DISABILITY BENEFITS */
PY130G_F :2.   /*  FLAG OF PY130G */
PY130G_I :16.   /*  IMPUTATION FACTOR OF PY130G */
PY131G :7.   /*  DISABILITY BENEFITS (CONTRIBUTORY AND MEANS-TESTED) */
PY131G_F :2.   /*  FLAG OF PY131G */
PY132G :7.   /*  DISABILITY BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED) */
PY132G_F :2.   /*  FLAG OF PY132G */
PY133G :7.   /*  DISABILITY BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED) */
PY133G_F :2.   /*  FLAG OF PY133G */
PY134G :7.   /*  DISABILITY BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED) */
PY134G_F :2.   /*  FLAG OF PY134G */
PY140G :7.   /*  EDUCATION-RELATED ALLOWANCES */
PY140G_F :2.   /*  FLAG OF PY140G */
PY140G_I :16.   /*  IMPUTATION FACTOR OF PY140G */
PY141G :7.   /*  EDUCATION-RELATED ALLOWANCES (CONTRIBUTORY AND MEANS-TESTED) */
PY141G_F :2.   /*  FLAG OF PY141G */
PY142G :7.   /*  EDUCATION-RELATED ALLOWANCES (CONTRIBUTORY AND NON MEANS-TESTED) */
PY142G_F :2.   /*  FLAG OF PY142G */
PY143G :7.   /*  EDUCATION-RELATED ALLOWANCES (NON-CONTRIBUTORY AND MEANS-TESTED) */
PY143G_F :2.   /*  FLAG OF PY143G */
PY144G :7.   /*  EDUCATION-RELATED ALLOWANCES (NON-CONTRIBUTORY AND NON MEANS-TESTED) */
PY144G_F :2.   /*  FLAG OF PY144G */
PX010 :2.   /*  CHANGE RATE */
PX020 :3.   /*  AGE AT THE END OF THE INCOME REFERENCE PERIOD */
PX030 :10.   /*  HOUSEHOLD IDENTIFICATION NUMBER */
PX040 :2.   /*  SELECTED RESPONDENT STATUS */
;
LABEL 
PB010 = "YEAR OF THE SURVEY"
PB020 = "COUNTRY"
PB030 = "PERSONAL ID"
PB050 = "PERSONAL BASE WEIGHT"
PB050_F = "FLAG OF PB050"
PB080 = "PERSONAL BASE WEIGHT FOR SELECTED RESPONDENT"
PB080_F = "FLAG OF PB080"
PB100 = "MONTH OF THE PERSONAL INTERVIEW"
PB100_F = "FLAG OF PB100"
PB110 = "YEAR OF THE PERSONAL INTERVIEW"
PB110_F = "FLAG OF PB110"
PB120 = "MINUTES TO COMPLETE THE PERSONAL QUESTIONNAIRE"
PB120_F = "FLAG OF PB120"
PB130 = "MONTH OF BIRTH"
PB130_F = "FLAG OF PB130"
PB140 = "YEAR OF BIRTH"
PB140_F = "FLAG OF PB140"
PB150 = "SEX"
PB150_F = "FLAG OF PB150"
PB160 = "FATHER ID"
PB160_F = "FLAG OF PB160"
PB170 = "FATHER ID"
PB170_F = "FLAG OF PB170"
PB180 = "SPOUSE/PARTNER ID"
PB180_F = "FLAG OF PB180"
PB190 = "MARITAL STATUS"
PB190_F = "FLAG OF PB190"
PB200 = "CONSENSUAL UNION"
PB200_F = "FLAG OF PB200"
PE040 = "HIGHEST ISCED LEVEL ATTAINED"
PE040_F = "FLAG OF PE040"
PH010 = "GENERAL HEALTH"
PH010_F = "FLAG OF PH010"
PH020 = "SUFFER FROM ANY A CHRONIC (LONG-STANDING) ILLNESS OR CONDITION"
PH020_F = "FLAG OF PH020"
PH030 = "LIMITATION IN ACTIVITIES BECAUSE OF HEALTH PROBLEMS"
PH030_F = "FLAG OF PH030"
PL020 = "ACTIVELY LOOKING FOR A JOB"
PL020_F = "FLAG OF PL020"
PL025 = "AVAILABLE FOR WORK"
PL025_F = "FLAG OF PL025"
PL031 = "SELF-DEFINED CURRENT ECONOMIC STATUS"
PL031_F = "FLAG OF PL031"
PL040 = "STATUS IN EMPLOYMENT"
PL040_F = "FLAG OF PL040"
PL051 = "OCCUPATION (ISCO-88 (COM))"
PL051_F = "FLAG OF PL051"
PL060 = "NUMBER OF HOURS USUALLY WORKED PER WEEK IN MAIN JOB"
PL060_F = "FLAG OF PL060"
PL140 = "TYPE OF CONTRACT"
PL140_F = "FLAG OF PL140"
PL160 = "CHANGE OF JOB SINCE LAST YEAR"
PL160_F = "FLAG OF PL160"
PL170 = "REASON FOR CHANGE"
PL170_F = "FLAG OF PL170"
PL180 = "MOST RECENT CHANGE IN THE INDIVIDUALS ACTIVITY STATUS"
PL180_F = "FLAG OF PL180"
PL190 = "WHEN BEGAN FIRST REGULAR JOB"
PL190_F = "FLAG OF PL190"
PL200 = "NUMBER OF YEARS SPENT IN PAID WORK"
PL200_F = "FLAG OF PL200"
PL211A = "MAIN ACTIVITY ON JANUARY"
PL211A_F = "FLAG OF PL211A"
PL211B = "MAIN ACTIVITY ON FEBRUARY"
PL211B_F = "FLAG OF PL211B"
PL211C = "MAIN ACTIVITY ON MARCH"
PL211C_F = "FLAG OF PL211C"
PL211D = "MAIN ACTIVITY ON APRIL"
PL211D_F = "FLAG OF PL211D"
PL211E = "MAIN ACTIVITY ON MAY"
PL211E_F = "FLAG OF PL211E"
PL211F = "MAIN ACTIVITY ON JUNE"
PL211F_F = "FLAG OF PL211F"
PL211G = "MAIN ACTIVITY ON JULY"
PL211G_F = "FLAG OF PL211G"
PL211H = "MAIN ACTIVITY ON AUGUST"
PL211H_F = "FLAG OF PL211H"
PL211I = "MAIN ACTIVITY ON SEPTEMBER"
PL211I_F = "FLAG OF PL211I"
PL211J = "MAIN ACTIVITY ON OCTOBER"
PL211J_F = "FLAG OF PL211J"
PL211K = "MAIN ACTIVITY ON NOVEMBER"
PL211K_F = "FLAG OF PL211K"
PL211L = "MAIN ACTIVITY ON DECEMBER"
PL211L_F = "FLAG OF PL211L"
PY010N = "EMPLOYEE CASH OR NEAR CASH INCOME"
PY010N_F = "FLAG OF PY010N"
PY010N_I = "IMPUTATION FACTOR OF PY010N"
PY020N = "NON-CASH EMPLOYEE INCOME"
PY020N_F = "FLAG OF PY020N"
PY020N_I = "IMPUTATION FACTOR OF PY020N"
PY021N = "COMPANY CAR"
PY021N_F = "FLAG OF PY021N"
PY021N_I = "IMPUTATION FACTOR OF PY021N"
PY035N = "CONTRIBUTIONS TO INDIVIDUAL PRIVATE PENSION PLANS"
PY035N_F = "FLAG OF PY035N"
PY035N_I = "IMPUTATION FACTOR OF PY035N"
PY050N = "CASH BENEFITS OR LOSSES FROM SELF-EMPLOYMENT"
PY050N_F = "FLAG OF PY050N"
PY050N_I = "IMPUTATION FACTOR OF PY050N"
PY080N = "PENSION FROM INDIVIDUAL PRIVATE PLANS"
PY080N_F = "FLAG OF PY080N"
PY080N_I = "IMPUTATION FACTOR OF PY080N"
PY090N = "UNEMPLOYMENT BENEFITS"
PY090N_F = "FLAG OF PY090N"
PY090N_I = "IMPUTATION FACTOR OF PY090N"
PY100N = "OLD-AGE BENEFITS"
PY100N_F = "FLAG OF PY100N"
PY100N_I = "IMPUTATION FACTOR OF PY100N"
PY110N = "SURVIVOR BENEFITS"
PY110N_F = "FLAG OF PY110N"
PY110N_I = "IMPUTATION FACTOR OF PY110N"
PY120N = "SICKNESS BENEFITS"
PY120N_F = "FLAG OF PY120N"
PY120N_I = "IMPUTATION FACTOR OF PY120N"
PY130N = "DISABILITY BENEFITS"
PY130N_F = "FLAG OF PY130N"
PY130N_I = "IMPUTATION FACTOR OF PY130N"
PY140N = "EDUCATION-RELATED ALLOWANCES"
PY140N_F = "FLAG OF PY140N"
PY140N_I = "IMPUTATION FACTOR OF PY140N"
PY010G = "EMPLOYEE CASH OR NEAR CASH INCOME"
PY010G_F = "FLAG OF PY010G"
PY010G_I = "IMPUTATION FACTOR OF PY010G"
PY020G = "NON-CASH EMPLOYEE INCOME"
PY020G_F = "FLAG OF PY020G"
PY020G_I = "IMPUTATION FACTOR OF PY020G"
PY021G = "COMPANY CAR"
PY021G_F = "FLAG OF PY021G"
PY021G_I = "IMPUTATION FACTOR OF PY021G"
PY030G = "EMPLOYER'S SOCIAL INSURANCE CONTRIBUTION"
PY030G_F = "FLAG OF PY030G"
PY030G_I = "IMPUTATION FACTOR OF PY030G"
PY031G = "OPTIONAL EMPLOYER'S SOCIAL INSURANCE CONTRIBUTIONS"
PY031G_F = "FLAG OF PY031G"
PY031G_I = "IMPUTATION FACTOR OF PY031G"
PY035G = "CONTRIBUTIONS TO INDIVIDUAL PRIVATE PENSION PLANS"
PY035G_F = "FLAG OF PY035G"
PY035G_I = "IMPUTATION FACTOR OF PY035G"
PY050G = "CASH BENEFITS OR LOSSES FROM SELF-EMPLOYMENT"
PY050G_F = "FLAG OF PY050G"
PY050G_I = "IMPUTATION FACTOR OF PY050G"
PY080G = "PENSION FROM INDIVIDUAL PRIVATE PLANS"
PY080G_F = "FLAG OF PY080G"
PY080G_I = "IMPUTATION FACTOR OF PY080G"
PY090G = "UNEMPLOYMENT BENEFITS"
PY090G_F = "FLAG OF PY090G"
PY090G_I = "IMPUTATION FACTOR OF PY090G"
PY091G = "UNEMPLOYMENT BENEFITS (CONTRIBUTORY AND MEANS-TESTED)"
PY091G_F = "FLAG OF PY091G"
PY092G = "UNEMPLOYMENT BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)"
PY092G_F = "FLAG OF PY092G"
PY093G = "UNEMPLOYMENT BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)"
PY093G_F = "FLAG OF PY093G"
PY094G = "UNEMPLOYMENT BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)"
PY094G_F = "FLAG OF PY094G"
PY100G = "OLD-AGE BENEFITS"
PY100G_F = "FLAG OF PY100G"
PY100G_I = "IMPUTATION FACTOR OF PY100G"
PY101G = "OLD-AGE BENEFITS (CONTRIBUTORY AND MEANS-TESTED)"
PY101G_F = "FLAG OF PY101G"
PY102G = "OLD-AGE BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)"
PY102G_F = "FLAG OF PY102G"
PY103G = "OLD-AGE BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)"
PY103G_F = "FLAG OF PY103G"
PY104G = "OLD-AGE BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)"
PY104G_F = "FLAG OF PY104G"
PY110G = "SURVIVOR BENEFITS"
PY110G_F = "FLAG OF PY110G"
PY110G_I = "IMPUTATION FACTOR OF PY110G"
PY111G = "SURVIVOR BENEFITS (CONTRIBUTORY AND MEANS-TESTED)"
PY111G_F = "FLAG OF PY111G"
PY112G = "SURVIVOR BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)"
PY112G_F = "FLAG OF PY112G"
PY113G = "SURVIVOR BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)"
PY113G_F = "FLAG OF PY113G"
PY114G = "SURVIVOR BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)"
PY114G_F = "FLAG OF PY114G"
PY120G = "SICKNESS BENEFITS"
PY120G_F = "FLAG OF PY120G"
PY120G_I = "IMPUTATION FACTOR OF PY120G"
PY121G = "SICKNESS BENEFITS (CONTRIBUTORY AND MEANS-TESTED)"
PY121G_F = "FLAG OF PY121G"
PY122G = "SICKNESS BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)"
PY122G_F = "FLAG OF PY122G"
PY123G = "SICKNESS BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)"
PY123G_F = "FLAG OF PY123G"
PY124G = "SICKNESS BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)"
PY124G_F = "FLAG OF PY124G"
PY130G = "DISABILITY BENEFITS"
PY130G_F = "FLAG OF PY130G"
PY130G_I = "IMPUTATION FACTOR OF PY130G"
PY131G = "DISABILITY BENEFITS (CONTRIBUTORY AND MEANS-TESTED)"
PY131G_F = "FLAG OF PY131G"
PY132G = "DISABILITY BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)"
PY132G_F = "FLAG OF PY132G"
PY133G = "DISABILITY BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)"
PY133G_F = "FLAG OF PY133G"
PY134G = "DISABILITY BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)"
PY134G_F = "FLAG OF PY134G"
PY140G = "EDUCATION-RELATED ALLOWANCES"
PY140G_F = "FLAG OF PY140G"
PY140G_I = "IMPUTATION FACTOR OF PY140G"
PY141G = "EDUCATION-RELATED ALLOWANCES (CONTRIBUTORY AND MEANS-TESTED)"
PY141G_F = "FLAG OF PY141G"
PY142G = "EDUCATION-RELATED ALLOWANCES (CONTRIBUTORY AND NON MEANS-TESTED)"
PY142G_F = "FLAG OF PY142G"
PY143G = "EDUCATION-RELATED ALLOWANCES (NON-CONTRIBUTORY AND MEANS-TESTED)"
PY143G_F = "FLAG OF PY143G"
PY144G = "EDUCATION-RELATED ALLOWANCES (NON-CONTRIBUTORY AND NON MEANS-TESTED)"
PY144G_F = "FLAG OF PY144G"
PX010 = "CHANGE RATE"
PX020 = "AGE AT THE END OF THE INCOME REFERENCE PERIOD"
PX030 = "HOUSEHOLD IDENTIFICATION NUMBER"
PX040 = "SELECTED RESPONDENT STATUS"
;
RUN;
PROC FORMAT;
VALUE $PB01F /* PB020 */
"AT" = "sterreich"
"BE" = "Belgique/Belge"
"BG" = "Bulgaria"
"CH" = "Switzerland"
"CY" = "Cyprus"
"CZ" = "Czech republic"
"DE" = "Deutschland"
"DK" = "Denmark"
"EE" = "Estonia"
"EL" = "Ellda"
"ES" = "Espaa"
"FI" = "Suomi"
"FR" = "France"
"HR" = "Croatia"
"HU" = "Hungary"
"IE" = "Ireland"
"IS" = "Iceland"
"IT" = "Italia"
"LT" = "Lithuania"
"LU" = "Luxembourg"
"LV" = "Latvia"
"ME" = "Montenegro"
"MK" = "The Former Yugoslav Republic of Macedonia (FYROM)"
"MT" = "Malta"
"NL" = "Nederland"
"NO" = "Norway"
"PL" = "Poland"
"PT" = "Portugal"
"RO" = "Romania"
"RS" = "Serbia"
"SE" = "Sverige"
"SI" = "Slovenia"
"SK" = "Slovak republic"
"TR" = "Turkey"
"UK" = "United Kingdom"
;
VALUE PB04F /* PB050_F */
1= "filled"
-7= "Not applicable: PB010 ne last year"
;
VALUE PB06F /* PB080_F */
1= "filled"
-3= "not selected respondent"
;
VALUE PB17F /* PB100 */
1= "January-March"
2= "April-June"
3= "July-September"
4= "October-December"
;
VALUE PB18F /* PB100_F */
1= "filled"
-1= "missing"
;
VALUE PB110F /* PB110_F */
1= "filled"
-1= "missing"
;
VALUE PB112F /* PB120_F */
1= "filled"
-1= "missing"
-2= "na (information only extracted from registers)"
;
VALUE PB113F /* PB130 */
1= "January-March"
2= "April-June"
3= "July-September"
4= "October-December"
;
VALUE PB114F /* PB130_F */
1= "filled"
-1= "missing"
;
VALUE PB116F /* PB140_F */
1= "filled"
-1= "missing"
;
VALUE PB117F /* PB150 */
1= "Male"
2= "Female"
;
VALUE PB118F /* PB150_F */
1= "filled"
-1= "missing"
;
VALUE PB120F /* PB160_F */
1= "filled"
-1= "missing"
-2= "na (father is not a household member)"
;
VALUE PB122F /* PB170_F */
1= "filled"
-1= "missing"
-2= "na (mother is not a household member)"
;
VALUE PB124F /* PB180_F */
1= "filled"
-1= "missing"
-2= "not applicable (person has no spouse/partner or spouse/partner is not a household member)"
;
VALUE PB125F /* PB190 */
1= "Never married"
2= "Married"
3= "Separated"
4= "Widowed"
5= "Divorced"
;
VALUE PB126F /* PB190_F */
1= "filled"
-1= "missing"
;
VALUE PB227F /* PB200 */
1= "yes on a legal basis"
2= "yes without a legal basis"
3= "no"
;
VALUE PB228F /* PB200_F */
1= "filled"
-1= "missing"
;
VALUE PE029F /* PE040 */
1= "primary education"
2= "lower secondary education"
3= "(upper) secondary education"
4= "post-secondary non tertiary education"
5= "tertiary education"
000= "Less than primary education"
100= "Primary education"
200= "Lower secondary education"
300= "Upper secondary education (not further specified)"
400= "Post-secondary non-tertiary education (not further specified)"
500= "Tertiary education"
;
VALUE PE030F /* PE040_F */
1= "filled"
-1= "missing"
-2= "non applicable (the person has never been in education) can only be used before 2014(PB010<2014)"
;
VALUE PH031F /* PH010 */
1= "very good"
2= "good"
3= "fair"
4= "bad"
5= "very bad"
;
VALUE PH032F /* PH010_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PH033F /* PH020 */
1= "yes"
2= "no"
;
VALUE PH034F /* PH020_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PH035F /* PH030 */
1= "yes, strongly limited"
2= "yes, limited"
3= "no, not limited"
;
VALUE PH036F /* PH030_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL037F /* PL020 */
1= "yes"
2= "no"
;
VALUE PL038F /* PL020_F */
1= "filled"
-1= "missing"
-2= "not applicable  (PL031 = 1, 2, 3 or 4)"
;
VALUE PL039F /* PL025 */
1= "yes"
2= "no"
;
VALUE PL040F /* PL025_F */
1= "filled"
-1= "missing"
-2= "not applicable  (PL031 = 1, 2, 3 or 4)"
;
VALUE PL041F /* PL031 */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL042F /* PL031_F */
1= "filled"
-1= "missing"
-5= "missing value of PL031 because PL030 is still used"
;
VALUE PL043F /* PL040 */
1= "self-employed with employees"
2= "self-employed without employees"
3= "employee"
4= "family worker"
;
VALUE PL044F /* PL040_F */
1= "filled"
-1= "missing"
-2= "not applicable ( PL031 not = 1, 2, 3 or 4 and PL015 not = 1)"
;
VALUE PL045F /* PL051 */
1= "Commissioned armed forces officers"
2= "Non-commissioned armed forces officers"
3= "Armed forces occupations, other ranks"
11= "Chief executives, senior officials and legislators"
12= "Administrative and commercial managers"
13= "Production and specialised services managers"
14= "Hospitality, retail and other services managers"
21= "Science and engineering professionals"
22= "Health professionals"
23= "Teaching professionals"
24= "Business and administration professionals"
25= "Information and communications technology professionals"
26= "Legal, social and cultural professionals"
31= "Science and engineering associate professionals"
32= "Health associate professionals"
33= "Business and administration associate professionals"
34= "Legal, social, cultural and related associate professionals"
35= "Information and communications technicians"
41= "General and keyboard clerks"
42= "Customer services clerks"
43= "Numerical and material recording clerks"
44= "Other clerical support workers"
51= "Personal service workers"
52= "Sales workers"
53= "Personal care workers"
54= "Protective services workers"
61= "Market-oriented skilled agricultural workers"
62= "Market-oriented skilled forestry, fishery and hunting workers"
63= "Subsistence farmers, fishers, hunters and gatherers"
71= "Building and related trades workers, excluding electricians"
72= "Metal, machinery and related trades workers"
73= "Handicraft and printing workers"
74= "Electrical and electronic trades workers"
75= "Food processing, wood working, garment and other craft and related trades workers"
81= "Stationary plant and machine operators"
82= "Assemblers"
83= "Drivers and mobile plant operators"
91= "Cleaners and helpers"
92= "Agricultural, forestry and fishery labourers"
93= "Labourers in mining, construction, manufacturing and transport"
94= "Food preparation assistants"
95= "Street and related sales and service workers"
96= "Refuse workers and other elementary workers"
;
VALUE PL046F /* PL051_F */
1= "filled"
-1= "missing"
-2= "not applicable (PL031 not = 1, 2, 3 or 4 and PL015 not = 1)"
-5= "missing value of PL051 because PL050 is still used"
;
VALUE PL048F /* PL060_F */
1= "filled"
-1= "missing"
-2= "not applicable (PL031 not = 1, 2, 3 or 4 and PL035 not = 1)"
-6= "hours varying (even an average over 4 weeks is not possible"
;
VALUE PL149F /* PL140 */
1= "permanent job/work contract of unlimited duration"
2= "temporary job/work contract of limited duration"
;
VALUE PL150F /* PL140_F */
1= "filled"
-1= "missing"
-2= "not applicable (PL040 not = 3)"
-3= "not selected respondent"
-4= "not applicable because the person is employee (PL040=3) but has not any contract"
;
VALUE PL151F /* PL160 */
1= "yes"
2= "no"
;
VALUE PL152F /* PL160_F */
1= "filled"
-1= "missing"
-2= "not applicable (PL031 not = 1, 2, 3 or 4)"
-3= "not selected respondent"
;
VALUE PL153F /* PL170 */
1= "To take up or seek better job"
2= "End of temporary contract"
3= "Obliged to stop by employer (business closure, redundancy, early retirement, dismissal etc.)"
4= "Sale or closure of own/family business"
5= "Child care and care for other dependent"
6= "Partners job required us to move to another area or marriage"
7= "Other reasons"
;
VALUE PL154F /* PL170_F */
1= "filled"
-1= "missing"
-2= "na (PL160 not = 1)"
-3= "not selected respondent"
;
VALUE PL155F /* PL180 */
1= "employed - unemployed"
2= "employed - retired"
3= "employed - other inactive"
4= "unemployed - employed"
5= "unemployed - retired"
6= "unemployed - other inactive"
7= "retired - employed"
8= "retired - unemployed"
9= "retired - other inactive"
10= "other inactive - employed"
11= "other inactive - unemployed"
12= "other inactive - retired"
;
VALUE PL156F /* PL180_F */
1= "filled"
-1= "missing"
-2= "not applicable (no change since last year)"
-3= "not selected respondent"
;
VALUE PL158F /* PL190_F */
1= "filled"
-1= "missing"
-2= "not applicable (person never worked i.e. (PL031 not = 1, 2, 3 or 4 AND PL015 not= 1))"
-3= "not selected respondent"
;
VALUE PL260F /* PL200_F */
1= "filled"
-1= "missing"
-2= "not applicable (person never worked i.e. (PL031 not = 1, 2, 3 or 4 AND PL015 not= 1))"
-3= "not selected respondent"
;
VALUE PL261F /* PL211A */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL262F /* PL211A_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL263F /* PL211B */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL264F /* PL211B_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL265F /* PL211C */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL266F /* PL211C_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL267F /* PL211D */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL268F /* PL211D_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL269F /* PL211E */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL270F /* PL211E_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL271F /* PL211F */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL272F /* PL211F_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL273F /* PL211G */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL274F /* PL211G_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL275F /* PL211H */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL276F /* PL211H_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL277F /* PL211I */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL278F /* PL211I_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL279F /* PL211J */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL280F /* PL211J_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL281F /* PL211K */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL282F /* PL211K_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PL283F /* PL211L */
1= "Employee working full-time"
2= "Employee working part-time"
3= "Self-employed working full-time (including family worker)"
4= "Self-employed working part-time (including family worker)"
5= "Unemployed"
6= "Pupil, student, further training, unpaid work experience"
7= "In retirement or in early retirement or has given up business"
8= "Permanently disabled or/and unfit to work"
9= "In compulsory military community or service"
10= "Fulfilling domestic tasks and care responsibilities"
11= "Other inactive person"
;
VALUE PL284F /* PL211L_F */
1= "filled"
-1= "missing"
-3= "not selected respondent"
;
VALUE PX0214F /* PX040 */
1= "current household member aged 16 and over Only selected household member aged 16 and over is interviewed"
2= "selected respondent"
3= "not selected respondent Households members aged less than 16 at the time of interview"
4= "not eligible person"
;
format PB020 $PB01F.;
format PB050_F PB04F.;
format PB080_F PB06F.;
format PB100 PB17F.;
format PB100_F PB18F.;
format PB110_F PB110F.;
format PB120_F PB112F.;
format PB130 PB113F.;
format PB130_F PB114F.;
format PB140_F PB116F.;
format PB150 PB117F.;
format PB150_F PB118F.;
format PB160_F PB120F.;
format PB170_F PB122F.;
format PB180_F PB124F.;
format PB190 PB125F.;
format PB190_F PB126F.;
format PB200 PB227F.;
format PB200_F PB228F.;
format PE040 PE029F.;
format PE040_F PE030F.;
format PH010 PH031F.;
format PH010_F PH032F.;
format PH020 PH033F.;
format PH020_F PH034F.;
format PH030 PH035F.;
format PH030_F PH036F.;
format PL020 PL037F.;
format PL020_F PL038F.;
format PL025 PL039F.;
format PL025_F PL040F.;
format PL031 PL041F.;
format PL031_F PL042F.;
format PL040 PL043F.;
format PL040_F PL044F.;
format PL051 PL045F.;
format PL051_F PL046F.;
format PL060_F PL048F.;
format PL140 PL149F.;
format PL140_F PL150F.;
format PL160 PL151F.;
format PL160_F PL152F.;
format PL170 PL153F.;
format PL170_F PL154F.;
format PL180 PL155F.;
format PL180_F PL156F.;
format PL190_F PL158F.;
format PL200_F PL260F.;
format PL211A PL261F.;
format PL211A_F PL262F.;
format PL211B PL263F.;
format PL211B_F PL264F.;
format PL211C PL265F.;
format PL211C_F PL266F.;
format PL211D PL267F.;
format PL211D_F PL268F.;
format PL211E PL269F.;
format PL211E_F PL270F.;
format PL211F PL271F.;
format PL211F_F PL272F.;
format PL211G PL273F.;
format PL211G_F PL274F.;
format PL211H PL275F.;
format PL211H_F PL276F.;
format PL211I PL277F.;
format PL211I_F PL278F.;
format PL211J PL279F.;
format PL211J_F PL280F.;
format PL211K PL281F.;
format PL211K_F PL282F.;
format PL211L PL283F.;
format PL211L_F PL284F.;
format PX040 PX0214F.;
RUN;
